#ifndef SAVESNAPSHOT_H
#define SAVESNAPSHOT_H

#include <QtGlobal>
#include "ui_ImageInterface.h"

#if QT_VERSION >= QT_VERSION_CHECK(4, 0, 0)
class ImageInterface : public QDialog, public Ui::ImageInterface {
  Q_OBJECT

public:
  ImageInterface(QWidget* parent)
    : QDialog(parent)
  {
    setupUi(this);
  }
  virtual ~ImageInterface() {
  }

public slots:
  void resetValues()
  {
    this->imgWidth->setValue(parentWidget()->width());
    this->imgHeight->setValue(parentWidget()->height());
    this->imgQuality->setValue(95);
    this->oversampling->setValue(1.0);
  }
};
#endif

#endif // SAVESNAPSHOT_H
